Can not create a dedicated server

Discussion in 'Support!' started by dukyduke, March 20, 2019.

  1. dukyduke

    dukyduke Active Member

    Messages:
    165
    Likes Received:
    40
    Hello,

    Since the last update, starting a dedicated server doesn't work anymore :
    Code:
    :~$ .local/share/Planetary\ Annihilation/stable/server --headless
    [14:05:46.933] INFO Started at 2019-03-20 14:05:46
    [14:05:46.933] INFO Setting STEAM_RUNTIME to /home/debian/.local/share/Planetary Annihilation/stable/steam-runtime
    [14:05:46.934] INFO SDL: Built w/ v2.0.8, linked w/ v2.0.3
    [14:05:46.934] INFO Loaded buildID 20190308184957
    [14:05:46.934] INFO Loaded build 113046-legacy-live-113044
    [14:05:46.934] INFO Loaded version 113044
    [14:05:46.934] WARN Crash reporting disabled.
    [14:05:46.934] INFO Log file /home/debian/.local/Uber Entertainment/PA Server/log/server-2019-03-20_140546.txt opened
    [14:05:46.936] INFO Starting async parallel for driver with 3 threads
    [14:05:46.936] INFO Starting background thread pool with 3 threads
    [14:05:46.936] INFO GameServerImpl::resetModUpdateAuthToken: Auth token reset to "e58610d5-9fe0-457d-89b0-26e836cac607"
    [14:05:47.019] ERROR Script error: states/ladder_lobby:1150:9: SyntaxError: Unexpected token ,
        at loadState (main:196:17)
        at arrayEach (thirdparty/lodash:1314:13)
        at Function.<anonymous> (thirdparty/lodash:3355:13)
        at main:202:3
    
    Removing ", 5000)" from "server-script/states/ladder_lobby.js" at line 1150 seems to solve the problem.
  2. lulamae

    lulamae Well-Known Member

    Messages:
    654
    Likes Received:
    296
    @dukyduke I can't address this specific issue, but it is my understanding that the development team is working towards getting the Modern build to be the default build in the future, so you may want to try giving that a go.

    For technical support, please open a new ticket at https://support.planetaryannihilation.com/

    ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
    Install modern build https://support.planetaryannihilation.com/kb/faq.php?id=245

    What is modern build?
    https://planetaryannihilation.com/g...-112589-pte-112585-pte-112575-pte-112527-pte/
    https://planetaryannihilation.com/game-updates/happy-new-year-updates-112595-112589/
    https://planetaryannihilation.com/news/translations-ai-and-modern-update-113034/
  3. dukyduke

    dukyduke Active Member

    Messages:
    165
    Likes Received:
    40
    Ho... I'll try.
    I thought that the modern build was recently merged in the stable build.

    Thank you !
  4. dukyduke

    dukyduke Active Member

    Messages:
    165
    Likes Received:
    40
    Updated to latest stable which now normally include "modern build" and it's worse ! ^^

    Now I have :
    Code:
    :~$ .local/share/Planetary\ Annihilation/stable/server
    .local/share/Planetary Annihilation/stable/server: /home/debian/.local/share/Planetary Annihilation/stable/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `CXXABI_1.3.8' not found (required by .local/share/Planetary Annihilation/stable/server)
    .local/share/Planetary Annihilation/stable/server: /home/debian/.local/share/Planetary Annihilation/stable/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.21' not found (required by .local/share/Planetary Annihilation/stable/server)
    .local/share/Planetary Annihilation/stable/server: /home/debian/.local/share/Planetary Annihilation/stable/steam-runtime/amd64/usr/lib/x86_64-linux-gnu/libstdc++.so.6: version `GLIBCXX_3.4.20' not found (required by .local/share/Planetary Annihilation/stable/server)
    May be a static link of stdlibc++ could be a got idea...

Share This Page